Summary:         Norman Walsh's modular stylesheets for DocBook
Name:            docbook-style-dsssl
Version:         1.79
Release:         4%{?dist}
License:         DMIT
URL:             http://docbook.sourceforge.net/
Source0:         http://prdownloads.sourceforge.net/docbook/docbook-dsssl-%{version}.tar.gz
Source1:         %{name}.Makefile

BuildRequires:   perl-generators make

Requires:        docbook-dtds openjade sgml-common
Requires(post):  sgml-common
Requires(preun): sgml-common

BuildArch: noarch

%description
This package provides DSSSL stylesheets which allow to convert any DocBook
document to another printed (for example, RTF or PostScript) or online
(for example, HTML) format. They are highly customizable.

%prep
%autosetup -n docbook-dsssl-%{version} -p1
cp %{SOURCE1} Makefile

%build

%install
make install  BINDIR=%{buildroot}%{_bindir} \
              DESTDIR=%{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version} \
              MANDIR=%{buildroot}%{_mandir}
cd ..
ln -s dsssl-stylesheets-%{version} %{buildroot}%{_datadir}/sgml/docbook/dsssl-stylesheets

%post
for centralized in /etc/sgml/*-docbook-*.cat
do
  /usr/bin/install-catalog --add $centralized \
    /usr/share/sgml/docbook/dsssl-stylesheets-%{version}/catalog \
    > /dev/null 2>/dev/null
done

%preun
if [ "$1" = "0" ]; then
  for centralized in /etc/sgml/*-docbook-*.cat
  do
    /usr/bin/install-catalog --remove $centralized /usr/share/sgml/docbook/dsssl-stylesheets-%{version}/catalog > /dev/null 2>/dev/null
  done
fi
exit 0


%files
%doc BUGS README ChangeLog WhatsNew
%{_bindir}/collateindex.pl
%{_mandir}/man1/collateindex.pl.1*
%{_datadir}/sgml/docbook/dsssl-stylesheets-%{version}
%{_datadir}/sgml/docbook/dsssl-stylesheets


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.79-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 1.79-1
- initial build
